# Uses of Class
io.dapr.client.domain.LockRequest

Packages that use LockRequest
Package
Description
io.dapr.client

## Uses of LockRequest in io.dapr.client

Methods in io.dapr.client with parameters of type LockRequest
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Boolean>`
DaprClientImpl.`tryLock(LockRequest request)`
Tries to get a lock with an expiry.
`reactor.core.publisher.Mono<Boolean>`
DaprPreviewClient.`tryLock(LockRequest request)`
Tries to get a lock with an expiry.